[AddOn v1.43/v1.64] Advanced Machines V3.2 Beta 2

  • Whoohoo! I'm free again! I shall now promise that I shall never again attach anything that isn't "Advanced Machines" related ever again. On another note, cpw and I are working out the details as to where we want to go from here.

  • I have no errors hacking away an adv machine with a cobble pick or a diamond pick, except perhaps they don't yield a machine block or generator like other machines would if broken quite destructively. I've tried diamond drill, and a mining laser, it seemed good.


    I'm using Modloader, Modloader MP, Audiomod, Forge 1.2.3 (eloraam), Redpower 4b, and IC2 1.42, Forestry 1.4.4.4, Optifine C MT and I spawned items using Not Enough Items by chicken bones.

  • I have no errors hacking away an adv machine with a cobble pick or a diamond pick, except perhaps they don't yield a machine block or generator like other machines would if broken quite destructively. I've tried diamond drill, and a mining laser, it seemed good.


    I'm using Modloader, Modloader MP, Audiomod, Forge 1.2.3 (eloraam), Redpower 4b, and IC2 1.42, Forestry 1.4.4.4, Optifine C MT and I spawned items using Not Enough Items by chicken bones.

    Once I'm up and running, you'll only get an advanced machine block, similar to the standard machines.

  • Whoohoo! I'm free again! I shall now promise that I shall never again attach anything that isn't "Advanced Machines" related ever again. On another note, cpw and I are working out the details as to where we want to go from here.


    Welcome back Zip! :)


    Also - Briefly tested the latest version in my current install, no issues. (Yet!)


    Breaking the machines with a pick (Dark Matter pick to be official, in my TMI world) gave the machines back, no crash. Using a wrench also worked just fine. Putting random stuff in some of the machines that didn't belong, no problem.


    So far so good, nice work cpw :).


    ALSO - I linked to CPW's post above (page 28.) in my 'How to install my mods' post on MC Forums. Let me know Zip/CPW when you want people directed to the OP again, or if you want them directed elsewhere.


  • Good to know, thanks Direwolf. I think refer them to that post and then back to the OP as soon as zipp has had time to figure out what's happening next... I'm handing the reigns back to Zipp, I've given him the code so he can continue on. I'm happy to help him debug/fix/test/update/whatever he wants, should he need my help.

  • ALSO - I linked to CPW's post above (page 28.) in my 'How to install my mods' post on MC Forums. Let me know Zip/CPW when you want people directed to the OP again, or if you want them directed elsewhere.

    Once the SMP version is ready, I'll update the OP.

  • I get this error in the server:


  • The extractor disconnects me from the server everytime I'm open the gui. I get this error:
    Internal exception: java.io.IOException: Received string length longer than maximum allowed (19 > 16)


    In SSP it is working.

  • I get this error in the server:



    That looks like a modloader ordering error- IC2 needs to load before Advanced machines (obviously). Try copying the file into the directory again.

  • The extractor disconnects me from the server everytime I'm open the gui. I get this error:
    Internal exception: java.io.IOException: Received string length longer than maximum allowed (19 > 16)


    In SSP it is working.


    OK I see what's going on there. Fix will be incoming...

  • That looks like a modloader ordering error- IC2 needs to load before Advanced machines (obviously). Try copying the file into the directory again.


    I've tryed that. But i'm running the server on Linux, then i think it's not loaded in alpabetic order. How do i fix this?

  • I've tryed that. But i'm running the server on Linux, then i think it's not loaded in alpabetic order. How do i fix this?


    Good luck with that.... the ModloaderMP author is ignoring any bug fix requests made in the thread. You can try sending him a PM asking for a fix but I doubt that'll happen.


  • Good luck with that.... the ModloaderMP author is ignoring any bug fix requests made in the thread. You can try sending him a PM asking for a fix but I doubt that'll happen.


    So why did the 1.337b version work then?

  • Here is a strange crash log. :huh:


    GENERATION 27: The first time you see this, copy it into your sig on any forum and add 1 to the
    generation. Social experiment.

  • Here is a strange crash log. :huh:


    not strange at all: note this "Slot 194 is already occupied by BlockAdvancedMachine@1250da6 when adding BlockAdvancedMachine@1a34a66" than look at your mods loaded list. Modloader's trying to load the advanced machine mod twice so take a look at your mods folder and make sure it isn't in there twice.